Bug 255582 - databases/redis-devel: Update to 6.2.3
Summary: databases/redis-devel: Update to 6.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sergey A. Osokin
URL: https://github.com/redis/redis/blob/6...
Keywords:
Depends on: 255580
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-03 21:27 UTC by Yasuhiro Kimura
Modified: 2021-05-05 02:52 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
Patch file (1.48 KB, patch)
2021-05-03 21:27 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-05-03 21:27:04 UTC
Created attachment 224647 [details]
Patch file

Update to 6.2.3.

Release Note: https://github.com/redis/redis/blob/6.2.3/00-RELEASENOTES
Security: CVE-2021-29477, CVE-2021-29478

Bug #255580 describes vulnerabilities fixed with this release. So please commit it together.
Comment 1 Sergey A. Osokin freebsd_committer 2021-05-03 21:48:27 UTC
Thanks for the report, the databases/redis-devel port is already updated.
Comment 2 Yasuhiro Kimura 2021-05-04 02:07:59 UTC
(In reply to Sergey A. Osokin from comment #1)

I updated my ports tree to ports e67ae562eb4c of main but this port is still 6.2.2. Do you forget to push your local commit to master repository?
Comment 3 Sergey A. Osokin freebsd_committer 2021-05-04 02:21:44 UTC
Thanks for the report!

Let me check once again.
Comment 4 commit-hook freebsd_committer 2021-05-04 02:26:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4396971f299d95ae8519181113b613c09b23958f

commit 4396971f299d95ae8519181113b613c09b23958f
Author:     Sergey A. Osokin <osa@FreeBSD.org>
AuthorDate: 2021-05-04 02:24:38 +0000
Commit:     Sergey A. Osokin <osa@FreeBSD.org>
CommitDate: 2021-05-04 02:24:38 +0000

    databases/redis-devel: update to 6.2.3.
    PR:     255582

 databases/redis-devel/Makefile | 2 +-
 databases/redis-devel/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Yasuhiro Kimura 2021-05-04 02:27:59 UTC
(In reply to Sergey A. Osokin from comment #3)

And one more. Since this is security update, please update 2021Q2 branch too.
Comment 6 commit-hook freebsd_committer 2021-05-04 14:51:02 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fe770f233784769d765a0227d4e82ae2dcd30039

commit fe770f233784769d765a0227d4e82ae2dcd30039
Author:     Sergey A. Osokin <osa@FreeBSD.org>
AuthorDate: 2021-05-04 02:24:38 +0000
Commit:     Sergey A. Osokin <osa@FreeBSD.org>
CommitDate: 2021-05-04 14:49:42 +0000

    databases/redis-devel: update to 6.2.3.
    PR:     255582

    (cherry picked from commit 4396971f299d95ae8519181113b613c09b23958f)

 databases/redis-devel/Makefile | 2 +-
 databases/redis-devel/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)